> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/changelog/september-2025/september-19/shipping-discount-data-in-order-details.md).

# Shipping discount data in order details

#### What's new

From now on, order details will contain additional discount details if the discount was applied to shipping.

#### Changes in API

New object with shipping discounts was added to <mark style="color:$success;">`GET`</mark> `/orders/{orderId}`, <mark style="color:$success;">`GET`</mark> `/orders`, <mark style="color:$success;">`GET`</mark> `/orders/last` and similar endpoints.\
\
&#x20;`shippingOptionDiscount` object is added to for the `discountType` field in promotion endpoints. Additionally requires `"dicountType": ITEM` to work.

Example JSON with shipping discount details:

```json
{
    "id": "GGGS4QVE",
    "subtotal": 50,
    "total": 73,
    "discount": 2,
    "shippingOption": {
        "shippingMethodId": "6589-1709547151586",
        "shippingMethodName": "Standard shipping",
        "shippingRate": 20,
        "shippingRateWithoutTax": 20,
        "isPickup": false,
        "fulfillmentType": "SHIPPING",
        "isShippingLimit": false,
        "discount": {
            "id": 75672138,
            "value": 10,
            "type": "PERCENT",
            "base": "SHIPPING",
            "orderTotal": 50,
            "description": "10% off on cart total above €50,00",
            "appliesToItems": [],
            "appliesToOrderItems": [],
            "triggeredByOrderItems": [],
            "appliesToShippingMethodId": "6589-1709547151586"
        }
    },
```

#### Documentation links

{% content-ref url="/spaces/G9n5VxMY9T0Ob3D56PSD/pages/Nc6NPsnVoaCv8v4KFGMV" %}
[Get order](/api-reference/rest-api/orders/get-order.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ecwid.com/changelog/september-2025/september-19/shipping-discount-data-in-order-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
